/* Scrollbars */
::-webkit-scrollbar { width: 10px; height:10px; }
::-webkit-scrollbar-track { background-color: #fafafa; border-radius:5px; margin:2px; }
::-webkit-scrollbar-thumb {	background: #333; border-radius:5px; transform: translateY(-5px); }
/* ::-webkit-scrollbar-thumb:hover { background: #555; } */
.rc-anchor { display:none !important; }

/* Utils */
.prevent-select { -webkit-user-select: none; /* Safari */ -ms-user-select: none; /* IE 10 and IE 11 */ user-select: none; /* Standard syntax */ }


/* Feramentas da listagem */


/* .bg-primary { background:none !important; } */
.tools { display:flex; justify-content:end; height:100%; align-items: center; padding-bottom:5px; }
.tools .btn { margin-top:auto; width:1.9rem; height:1.9rem; display: flex; align-items: center; justify-content: center; border-radius:50%; color:#fff; }
.tools .btn:hover { color:#fff; background-color: #3a3a3a;}
.tools .btn:not(:last-child) {  margin-right:4px; }
.tools .btn .copy { position: absolute; top:-20px; border-radius:5px; background:green; color:#fff; padding:0; transition:opacity 300ms ease-in-out; opacity:0; height:0; }
.tools .btn .copy.show { padding:5px 10px; opacity:1; height:auto; }

.acoes-lote { display:flex; justify-content:end; height:100%; align-items:center; }
.acoes-lote > span:first-child { margin-right:auto; width:130px; text-align: right; }
.acoes-lote .btn { margin-left:20px; width:1.9rem; height:1.9rem; display:flex; align-items:center; justify-content:center; border-radius:50%; color:#fff !important; }
.acoes-lote .btn:hover { color:#fff; background-color:#3a3a3a; }
.acoes-lote .btn:not(:last-child) { margin-right:4px; }
.acoes-lote .btn .copy { position:absolute; top:-20px; border-radius:5px; background:green; color:#fff; padding:0; transition:opacity 300ms ease-in-out; opacity:0; height:0; }
.acoes-lote .btn .copy.show { padding:5px 10px; opacity:1; height:auto; }

.alert { margin-bottom:40px; }

/* .header.bg-primary { background:#fff !important; } */

/* body {  height: 100%; background: linear-gradient(#fff  50%, #3f3f3f 50%); } */
body { overflow-y: scroll}

.bootstrap-filestyle .btn { padding-top:11px; padding-bottom:11px; border-top-right-radius:0; border-bottom-right-radius:0; box-shadow:none!important; border:1px solid #dee2e6; }
.bootstrap-filestyle .form-control-sm { padding-top:20px; padding-bottom:20px; }

.header { padding-top:20px; }
.sidenav .active { font-weight:bold !important; }
.sidenav .scrollbar-inner { display:flex; flex-direction: column;}
.sidenav .navbar-inner { display:flex; flex:1; }
.navbar.navbar-top { display: none; }
.header-body .breadcrumb { margin-bottom:0 !important; }
.card-header h3 { line-height:51px; vertical-align: middle; }


/* Galeria de fotos */
.galeria-item .frame { border:1px solid #dadada; width:100%; position: relative; border-radius:.375rem; margin-bottom:10px; box-shadow: 0 0 2rem 0 rgb(136 152 170 / 10%); border-top-left-radius: 5px; border-top-right-radius: 5px; overflow: hidden; }
.galeria-item .file-preview { width:100%; height:240px; text-align:center; max-height:240px; background-image:url(../img/placeholder.jpg); background-size:cover; background-position:50% 50%; background-repeat:no-repeat; }
.galeria-item .legenda textarea { font-size:10px; padding:5px; resize:none; border-bottom:none; border-left:0; border-right:0; border-radius:0; }
.galeria-item .legenda textarea:focus { border-color:#dadada; }
.galeria .src { display:none; }
.galeria-add { text-align:center; }
.galeria-add .frame { border:1px solid #dadada; height:282px; display:flex; flex-direction: column; align-items: center; justify-content: center; width:100%; padding:10px; position: relative; border-radius:.375rem; margin-bottom:10px; box-shadow: 0 0 2rem 0 rgb(136 152 170 / 10%); cursor: pointer; }
.galeria-add .frame p { font-size:13px; margin:0; }
.galeria-add .frame:hover { box-shadow: 0 0 2rem 0 rgba(136, 152, 170, 0.192); }
.galeria-add span { font-size:60px; }
.galeria-add .bootstrap-filestyle { display:none !important; }
.galeria-add.hover { border:5px dashed #333; }
.galeria-item .bootstrap-filestyle { display:none; }
.galeria-item .remover { position: absolute; top:10px; right:10px; background:#fff; border-radius:20px; padding:5px; text-align: right; }
.galeria-item .remover .btn { border-radius:50%; width:28px; height:28px; overflow: hidden; margin:0; }
.galeria-item .remover span { font-size:12px; padding:0 10px; }
.galeria-item .confirmar { display:none; }
.galeria-item .mover { position: absolute; top:10px; left:10px; background:#fff; border-radius:20px; padding:5px; text-align: right; }
.galeria-item .mover .btn { border-radius:50%; width:28px; height:28px; overflow: hidden; margin:0; }
.galeria-item .mover .btn:hover { background:#fff; color:#172b4d; }


.imagem .frame { border:1px solid #dadada; width:100%; position: relative; border-radius:.375rem; margin-bottom:10px; box-shadow: 0 0 2rem 0 rgb(136 152 170 / 10%); border-top-left-radius: 5px; border-top-right-radius: 5px; overflow: hidden; }
.imagem .file-preview { width:100%; height:240px; text-align:center; max-height:240px; background-image:url(../img/placeholder.jpg); background-size:cover; background-position:50% 50%; background-repeat:no-repeat; }
.imagem .remover { position: absolute; top:10px; right:10px; background:#fff; border-radius:20px; padding:5px; text-align: right; }
.imagem .remover .btn { border-radius:50%; width:28px; height:28px; overflow: hidden; margin:0; }
.imagem .remover span { font-size:12px; padding:0 10px; }
.imagem .confirmar { display:none; }

.arquivo .frame { border:1px solid #dadada; width:100%; position: relative; border-radius:.375rem; margin-bottom:10px; box-shadow: 0 0 2rem 0 rgb(136 152 170 / 10%); border-top-left-radius: 5px; border-top-right-radius: 5px; overflow: hidden; }
.arquivo .file-preview { width:100%; height:240px; text-align:center; max-height:240px; background:#eaeef0; display:flex; align-items: center; justify-content: center; }
.arquivo .file-preview p { background:#fff; padding:3px 15px; border-radius:10px; font-weight:bold; margin:10px; }
.arquivo .remover { position: absolute; top:10px; right:10px; background:#fff; border-radius:20px; padding:5px; text-align: right; }
.arquivo .remover .btn { border-radius:50%; width:28px; height:28px; overflow: hidden; margin:0; }
.arquivo .remover span { font-size:12px; padding:0 10px; }
.arquivo .confirmar { display:none; }


/* Prévia da imagem principal */
.img-campo .file-preview { width:100%; height:240px; text-align:center; max-height:240px; background-image:url(../img/placeholder.jpg); background-size:cover; background-position:50% 50%; background-repeat:no-repeat; border-radius:5px; }
.file-campo .file-preview { width:100%; height:240px; text-align:center; max-height:240px; display:flex; align-items: center; justify-content: center; background:#eaeef0; border-radius:5px; }
.file-campo .file-preview p { background:#fff; padding:3px 15px; border-radius:10px; font-weight:bold; margin:10px; }

.task-list { max-height:400px; overflow: scroll; overflow-x:hidden; }

.custom-toggle { margin-top:11px !important }

.table th[data-sort] { cursor:pointer; }
.table .sorting_ASC { background-image:url(../img/down.png); background-repeat:no-repeat; background-position: 5px center; }
.table .sorting_DESC { background-image:url(../img/up.png); background-repeat:no-repeat; background-position: 5px center; }
.table .excluido,
.table .inativo { background: repeating-linear-gradient( 45deg, #fcfcfc, #fcfcfc 5px, #f9f9f9 5px, #f9f9f9 10px); }
.table .ficha { text-align:left; }
.table .ficha .total,
.table .ficha .ok,
.table .ficha .erro { display:block; color:#333; font-size:10px; text-transform: uppercase; }
.table .ficha .ok { color:#0a694c; }
.table .ficha .erro { color:red; }
.table .btn-sm { font-size:0.6rem !important; }

.navbar-search .close { margin:13px !important; }
.navbar-search .input-group { box-shadow:0 4px 6px rgba(50, 50, 93, .11), 0 1px 3px rgba(0, 0, 0, .08) !important; }
/* Paginação */
@media (max-width: 576px) {
	.pagination .page-item { display:none; }
	.pagination .previous, 
	.pagination .next { display:block !important; }
}

/* .left { border-right:2px solid #f3f3f3; padding-top:5px; }
@media (max-width: 768px) {
	.left { border:none }
	.navbar.navbar-top { display: block; }
} */


.custom-radio { padding-left:0 !important; -moz-user-select: none; -webkit-user-select: none; -ms-user-select: none; }
.custom-radio .custom-control-input ~ .custom-control-label { padding-left:1.75rem !important; height:1.5rem !important; -moz-user-select: none; -webkit-user-select: none; -ms-user-select: none; }
.custom-radio .custom-control-input ~ .custom-control-label::before,
.custom-radio .custom-control-input ~ .custom-control-label::after { left:0 !important; }

.custom-check { padding-left:0 !important; -moz-user-select: none; -webkit-user-select: none; -ms-user-select: none; }
.custom-check .custom-control-input ~ .custom-control-label { padding-left:1.75rem !important; height:1.5rem !important; -moz-user-select: none; -webkit-user-select: none; -ms-user-select: none; }
.custom-check .custom-control-input ~ .custom-control-label::before,
.custom-check .custom-control-input ~ .custom-control-label::after { left:0 !important; }

label,
.unselectable { -moz-user-select: none; -webkit-user-select: none; -ms-user-select: none; }
.input-group { box-shadow: none !important; }

.bootstrap-select .dropdown-toggle { background:#fff !important; color:#8898aa; box-shadow: none; padding:0.700rem 0.75rem; font-weight: normal; border-color:#dee2e6; height:calc(1.5em + 1.25rem + 5px); }
.bootstrap-select .dropdown-toggle:focus { outline:none !important; outline-offset:0; }
.btn-light:not(:disabled):not(.disabled):active, 
.btn-light:not(:disabled):not(.disabled).active, 
.show > .btn-light.dropdown-toggle { color:#8898aa !important; }
.bs-searchbox input:focus,
.bs-searchbox input { border-color:#dee2e6; }
.bootstrap-select .no-results { background:#fff; padding:10px; }

.progress { position: relative; }
.progress .value1,
.progress .value2 { color:white; position: absolute; left:0; top:0; width:100%; overflow: hidden; text-align: center; z-index: 2; }
.progress .value2 { color:#333; left:auto; right:0; z-index: 1; }

/* .tab-pane { margin-bottom:10px; padding:10px 0; background:#fafafa; } */

/* Debug */
.debug { position:fixed; left:0; top:0; width:100%; z-index:9999;background:#000;color:lightgreen; font-family:'Courier New'; font-size:11px; }
.debug span { padding:5px 10px; display:inline-block; border-right:1px solid lightgreen; }


.previa { border:1px solid #f3f3f3; display:flex; align-items: center; justify-content: center; position:relative; background-image:url(); background-color:#e9eef1; background-repeat:no-repeat; background-position: center center; background-size:100% auto; width:100%; border-radius:10px; }
.previa p { background:#fff; padding:3px 15px; border-radius:10px; font-weight:bold; }
.previa.p100:before { content:""; display:block; padding-top:100%;  }
.previa.p75:before { content:""; display:block; padding-top:75%;  }
.previa.p50:before { content:""; display:block; padding-top:50%;  }
.previa.p25:before { content:""; display:block; padding-top:25%;  }
.previa:before { content:""; display:block; padding-top:100%;  }

/* .tab-pane.active { background:#fcfcfc; border-radius:5px; padding:10px; margin-bottom:20px; left:-10px; position: relative; } */
.tab-content .tab-pane { background:#fafafa; padding:30px 10px 10px; border:1px solid #dee2e6; border-top:none; }
.tabs-idioma { margin-bottom:10px; }
.tabs-idioma .nav-tabs .nav-link.active, 
.tabs-idioma .nav-tabs .nav-item.show .nav-link { background:none; }
.nav-tabs .nav-link { display: block; padding: 1rem 1.5rem; }
.nav-tabs .nav-item .nav-link.active { position: relative; left:-1px; right:-1px; padding-left:calc(1.5rem + 1px); padding-right:calc(1.5rem + 1px); margin-right:-2px; z-index: 4; }
.nav-tabs .nav-item:first-child .nav-link.active { left:0; right:-1px; padding-left:1.5rem;padding-right:calc(1.5rem + 2px); }
.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link { background:#fafafa; }

.controles { padding-top:20px; }

/* File input */
.bootstrap-filestyle label { padding-top:13px !important; padding-bottom:13px !important; }
.bootstrap-filestyle input { padding-top:22px !important; padding-bottom:22px !important; }

.componente .comandos { float:right; }
.componente .comandos .btn { position:relative; border-radius:50%; box-shadow: none !important; margin-right: 0; }
.componente { background:#fafafa; padding:8px; border:1px dashed #ddd; border-radius:8px; }
.componente.src { display:none; }
.componente .remover { position: relative; display: inline-block; }
.componente .remover .confirmar { position:absolute; right:0; top:0; background:#fafafa; padding:0; text-align: right; display: none; white-space: nowrap; }
.componente .remover .confirmar .btn { border-radius:50%; width:28px; height:28px; overflow: hidden; margin:0; }
.componente .remover .confirmar span { font-size:12px; padding:0 10px; }
/* .componente .preview { width:100%; max-height:200px; overflow: hidden; border:1px solid #ddd;} */
.componente .preview { width:100%; height:240px; text-align:center; max-height:240px; background-image:url(../img/placeholder.jpg); background-size:cover; background-position:50% 50%; background-repeat:no-repeat; }
.componente .form-control-label { margin-top:8px; }

[type=checkbox],
[type=radio] { accent-color: #525f7f; color:#525f7f; }
.form-control-label span { position:relative; top:-1px; margin-right:10px; }
  
.form-control { margin-bottom:5px !important; }

.botoes .btn,
#datetimepicker .btn { margin-bottom:5px; }

.trumbowyg-box strong,
.trumbowyg-box b { font-weight: bold;}
.trumbowyg-editor.trumbowyg-reset-css h2 { color:#0095DA !important; margin:15px 0 !important; font-size:18px !important; text-transform: uppercase !important; font-weight: bold !important; }
.trumbowyg-editor.trumbowyg-reset-css th,
.trumbowyg-editor table th { font-weight: bold; }
.trumbowyg-editor table th,
.trumbowyg-editor table td { border: 1px solid #ddd; min-width: 30px; min-height: 30px; padding:10px; }


.copy { white-space: nowrap; position: absolute; top:-20px; border-radius:5px; background:green; color:#fff; padding:0; transition:opacity 300ms ease-in-out; opacity:0; height:0; }
.copy.show { padding:5px 10px; opacity:1; height:auto; }


/* .lever { position: relative; width:42px; height:42px; background:#fff url(../img/lever-1.png) no-repeat center center; background-size:cover; border-radius:5px; margin-right:10px; cursor: pointer; }
.lever .lever-2 { position: absolute; width:42px; height:42px; left:0; top:0; z-index: 2; transform:rotate(25deg); transform-origin: bottom center; transition: all 0.25s linear; }
.lever .lever-2.on { animation-duration: 3s; animation-name: lever; }

.lever .raio { display:none; z-index: 10; position:absolute; left:-100px; top:-50px; width:110px; height:110px; background:url(../img/raio.png) no-repeat center center; background-size: cover; }
.lever .raio { animation-name: choque; animation-play-state: paused; animation-duration: 0.3s; animation-iteration-count:infinite; } */

@keyframes lever {
	0% { transform:rotate(25deg); }
	30% { transform:rotate(-25deg); }
	75% { transform:rotate(-25deg); }
	100% { transform:rotate(25deg); }
}

@keyframes choque {
	from { top: -50px; left: -100px; animation-timing-function: linear; opacity:1; }
	20% { top: -55px; left: -105px; animation-timing-function: linear; opacity:0.3; }
	40% { top: -55px; left: -100px; animation-timing-function: linear; opacity:1; }
	60% { top: -55px; left: -100px; animation-timing-function: linear; opacity:0.7; }
	80% { top: -55px; left: -105px; animation-timing-function: linear; opacity:0.5; }
	to { top: -50px; left: -100px; animation-timing-function: linear; opacity:1; }
}

@keyframes spin { 
	from { transform:rotate(0deg); }
	to { transform:rotate(360deg); }
}
@keyframes fadein { 
	from { opacity:0; }
	to { opacity:1; }
}

.forcar-execucao {}
.forcar-execucao i.animar { animation: spin 1s infinite linear;}

.avisos { position: fixed; z-index: 999; bottom:40px; right:40px; display:flex; align-items: end; flex-direction: column; }
.aviso { display:flex; align-items: end; visibility: hidden; opacity:0; animation:fadein 300ms linear; transition: all 0.3s ease-in; margin-top:20px; max-height:500px; }
.aviso.on { opacity:1; visibility: visible; }
.aviso.off { max-height:0; transition-duration: 1s; }
.aviso.src { display:none !important; }
.aviso .cabeca { background:#fff; box-shadow: rgba(0, 0, 0, 0.3) 1px 1px 6px ; padding:10px; display: inline-block; border-radius:50px; width:60px; height:60px; }
.aviso .speech-bubble { font-size: 18px; background: #fff; margin-right:30px; padding:15px;  position: relative; box-shadow: rgba(0, 0, 0, 0.3) 1px 1px 6px ; border-radius: 10px; max-width:500px; font-weight: bold; }
.aviso .speech-bubble p { margin-bottom:0 }
.aviso .speech-bubble:after { content: ""; position: absolute; box-shadow: rgba(0, 0, 0, 0.1) 2px 2px 2px ; transform: rotate(-45deg); bottom: 20px; right: -10px; border-width: 10px; border-style: solid; border-color: transparent #FFF #FFF transparent; }
.aviso .speech-bubble-text-line { line-height: 0.2; }

@media (max-width: 768px) {
	.aviso .speech-bubble { width:240px; }
}

.lista-arquivos .src { display:none; }
.btn-lista { width:50px; height:46px !important; display:inline-block !important; padding-left:0; padding-right:0; }
.btn-lista:hover { color:#fff !important; }


span.etapa,
span.status { font-size:10px; text-transform: uppercase; padding:3px 8px; background:#fafafa; border-radius:10px; display:inline-block; }
/* span.etapa.captura { color:#052d40; background:#74caf2; }
span.etapa.arte { color:#33051e; background:#ff1493; }
span.etapa.texto { color:#042b1f; background:#18eca9; }
span.etapa.cards { color:#403805; background:#ecce0c; } */
span.status.fila { color:#052d40; background:#74caf2; }
span.status.executando { color:#33051e; background:#ff1493; }
span.status.concluido { color:#042b1f; background:#18eca9; }
span.status.cancelado { color:#400505; background:#ee5959; }

/* Frank */
/* Tabelas feitas de grid */
.tabela { }
.tabela { font-size:15px !important; cursor: default; }
.tabela .row:hover:not(:first-child) { background-color:#fafafa; }
.tabela .far.fa-check-circle { font-size: 15px!important; }
.tabela .fas.fa-check-circle { color:green; font-size:15px!important; }

.arte {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.arte .card {
    width: calc(20% - 20px);
    display: flex;
    flex-direction: column;
}


.arte {  }
.arte .card { border-radius:10px; /*overflow: hidden;*/}
.arte .card-body { padding:0; }
.arte .item { width:(25% - 10px); margin-right:5px; border:1px solid #333; }
.arte .item img { width:100%; max-width:200px; }
.arte .item span { background:#333; color:#fff; display: block; padding:4px; }
@media (max-width: 768px) {
	.arte .card { float:left; width:calc(50% - 20px); margin-right:20px; }
}

.tarja { position:relative;background:#333; color:#fff; margin-left:-10px; margin-bottom:15px; padding:8px 10px 8px 25px; display: inline-block; width:250px; border-radius:5px 10px 10px 0; }
.tarja::after { position: absolute; content:";"; left:0; top:29px; width: 0; height: 0; border-top: 10px solid transparent; border-bottom: 10px solid transparent; border-right:10px solid #333; }

.corte { max-width:100%; overflow: hidden; }
@media (max-width: 768px) {
	.corte { max-width:200px; overflow: hidden; }
}

#html-editor { zoom:0.55; cursor:default; }
#html-editor { margin:0 20px; display: flex; align-items: center; justify-content:center; position: relative; }
#html-editor .source { position:relative; display:flex; align-items: center; justify-content: center; min-width:1090px; }
#html-editor .overlay { /*position:absolute;*/ left:0; top:0; width:100%; }
#html-editor .src { display:none !important; }
#html-editor .ferramentas { position: absolute; left:0; top:0; display:flex; flex-direction: row; z-index: 999; }
#html-editor .ferramentas .change,
#html-editor .ferramentas .move { border-radius:15px; padding:5px; background:rgba(255,255,255,0.7); }
#html-editor .left,
#html-editor .right,
#html-editor .upload { width:35px; height:35px; font-size:30px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 10px; cursor: pointer; transition: all linear 1s; margin:0 5px; }
#html-editor .upload { position: absolute; left:0; top:0; z-index: 99; }
#html-editor .upload,
#html-editor .upload::-webkit-file-upload-button { opacity:0; cursor:pointer; }
#html-editor .upload-fake { position:relative; z-index: 99; width:35px; height:35px; font-size:30px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 10px; cursor: pointer; }

#html-editor .bg-left,
#html-editor .bg-right,
#html-editor .bg-up,
#html-editor .bg-down,
#html-editor .bg-zoomin,
#html-editor .bg-zoomout,
#html-editor .mais,
#html-editor .menos { width:35px; height:35px; font-size:30px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 10px; cursor: pointer; transition: all linear 1s; }
#html-editor .menos { display: none; }
#html-editor .bg-left { margin-right:10px; }
#html-editor .bg-right { margin-left:10px; }


#html-editor .left .vazio,
#html-editor .right .vazio,
#html-editor .bg-left .vazio,
#html-editor .bg-right .vazio,
#html-editor .bg-up .vazio,
#html-editor .bg-down .vazio,
#html-editor .bg-zoomin .vazio,
#html-editor .bg-zoomout .vazio,
#html-editor .upload-fake .vazio { display: inline-block; }
#html-editor .left .cheio,
#html-editor .right .cheio,
#html-editor .bg-left .cheio,
#html-editor .bg-right .cheio,
#html-editor .bg-up .cheio,
#html-editor .bg-down .cheio,
#html-editor .bg-zoomin .cheio,
#html-editor .bg-zoomout .cheio,
#html-editor .upload-fake .cheio { display: none; }
#html-editor .left i,
#html-editor .right i,
#html-editor .bg-left i,
#html-editor .bg-right i,
#html-editor .bg-up i,
#html-editor .bg-down i,
#html-editor .bg-zoomin i,
#html-editor .bg-zoomout i,
#html-editor .mais i,
#html-editor .menos i,
#html-editor .upload-fake i { color:#fff; }
#html-editor .left:hover .vazio,
#html-editor .right:hover .vazio,
#html-editor .bg-left:hover .vazio,
#html-editor .bg-right:hover .vazio,
#html-editor .bg-up:hover .vazio,
#html-editor .bg-down:hover .vazio,
#html-editor .bg-zoomin:hover .vazio,
#html-editor .bg-zoomout:hover .vazio,
#html-editor .upload-fake:hover .vazio { display: none; }
#html-editor .left:hover .cheio,
#html-editor .right:hover .cheio,
#html-editor .bg-left:hover .cheio,
#html-editor .bg-right:hover .cheio,
#html-editor .bg-up:hover .cheio,
#html-editor .bg-down:hover .cheio,
#html-editor .bg-zoomin:hover .cheio,
#html-editor .bg-zoomout:hover .cheio,
#html-editor .upload-fake:hover .cheio { display: inline-block; }
#html-editor .move { display:none; }
#html-editor .move.on { display:flex; }
#html-editor .source .story *,
#html-editor .source .reels *,
#html-editor .source .feed *,
#html-editor .source .google-horizontal *,
#html-editor .source .google-quadrado *,
#html-editor .source .google-vertical * { box-sizing: inherit /*content-box*/;/* line-height: inherit;*/ }
#html-editor .source .story .text-center { text-align: inherit !important; }
#html-editor .source .story .container { width:initial; max-width: initial; margin-right: initial; margin-left: initial; width:initial; }
#html-editor .source data { cursor: pointer; box-sizing: border-box; border: 4px solid transparent; }
/* #html-editor .source data:hover { border:4px solid #fff; box-shadow: 0px 0px 2px 2px rgba(0,0,0,0.75); border-radius:10px; } */

.coiso { border:1px solid #fff; border-radius:5px; box-sizing: border-box; padding:0; }
.coiso:hover,
.coiso:focus-visible {  padding:0; outline:none; }


/* #html-editor .source div[editor='imagem'] { position: absolute;}
#html-editor .source div[editor='imagem']:before { content:" "; background:#fff url(../img/editar.svg) no-repeat center center; border-radius:50%; position: absolute; left:50%; top:50%; width:60px; height:60px; background-size:70%; z-index: 10; }
#html-editor .source div[editor='imagem']:hover:before { background-color:#d1e4a0; } */
#modal-editor .scroller { max-height:88vh; overflow:auto; }
#modal-editor .modal-content { padding:12px 0; width:inherit !important; max-height:98vh; }
#modal-editor .elementos { width:200px; }
#modal-editor .elementos .custom-switch .custom-control-label::before { left:-1.72rem !important; }
#modal-editor .elementos .custom-switch .custom-control-label::after { left:calc(-1.72rem + 2px) !important; }
#modal-editor .elementos .src { display:none; }
#modal-editor .elementos { transition: all linear 200ms; }
#modal-editor .elementos.hide { width:0; overflow: hidden; }
.modal.show .modal-dialog { height:calc(100vh - 10px); margin:5px auto; }

#fechar-editor { display: flex; width:30px; height:30px; align-items: center; justify-content: center; position: absolute; right:-15px; top:-15px; z-index:999; margin:10px; background:#fff; border-radius:30px; opacity:1; }
#fechar-editor i { font-size:16px; }

.inplace { background:#fff; border:1px solid #999; border-radius:7px; width:200px; position: fixed; left:0; top:0; z-index: 99999; padding:1px; filter: drop-shadow(2px 2px 2px #00000022); }
.inplace input { font-size:16px; width:calc(100% - 10px); padding:10px; border:none; }
.inplace input:focus { border:none; outline: none; }
.inplace::before {  position: absolute; content: "";  height:0px; bottom:-5px; left:10px; width:0px; border:none; border-top:5px solid #666; border-left:5px solid #99999900; border-right:5px solid #99999900; drop-shadow(2px 2px 2px #000000);  }

.loading { display:none; position: fixed; top:0; left:0; background:#333333cc; width:100vw; height:100vh; z-index: 9999; }
.loading .box { width:100vw; height:100vh; display:flex; flex-direction:column; align-items: center; justify-content: center; }
.loading .raio { padding-top:125px; display:block; z-index: 10; width:110px; height:130px; background:url(../img/raio.png) no-repeat top center; background-size: cover; }
.loading .raio { animation-name: choque; animation-play-state:running; animation-duration: 0.3s; animation-iteration-count:infinite; }
.loading .slide-text { position: relative; width:250px; text-align: center; margin-top:20px; }
.loading span { display:block; white-space: nowrap;color:#fff; font-size:12px; text-align: center; transition: all 1s linear; }
.loading span.on { animation-name:slide-text; animation-duration: 5s; animation-iteration-count:1; }

@keyframes slide-text {
	0% { transform: translateY(30px); opacity:0; }
	10% { transform: translateY(0); opacity:1; }
	90% { transform: translateY(0); opacity:1; }
	100% { transform: translateY(-30px); opacity:0; }
}

@keyframes rotacionar { from { transform: rotate(0deg); } to { transform: rotate(360deg); } }
.girar { animation: rotacionar 1s linear infinite; transform-origin: 8px 7px; }



.atualizando { position: absolute; top:0; left:0; background:#333333cc; width:100%; height:100%; z-index: 10; color:#fff; }
.atualizando .box { width:100%; height:100%; display:flex; flex-direction:column; align-items: center; justify-content: center; color:#fff; }



/* Crupiê ------------------------------------------------------------ */

#crupie-tab { }
#crupie-tab .lista span { padding-left:10px; }
#crupie-tab .lista .src { display:none; margin-bottom }
#crupie-tab .lista .row {  }
#crupie-tab .lista .row > div { border-bottom:1px solid #dee2e6; padding:10px 15px; }
.checkbox-single { text-align:center; margin-right:0 !important; padding-left:0 !important; margin-top:9px; }
.checkbox-single label:after,
.checkbox-single label:before { left:0 !important; }


/* Nolan ------------------------------------------------------------- */

#nolan .select-trilha { position: relative; }
#nolan .select-trilha .play,
#nolan .select-trilha .stop { position:absolute; right:25px; top:1px; z-index: 10; background:#fff; border:none; padding:8px; }
#nolan .select-trilha i::before { color:#333 !important ; font-size:12px !important; }

#nolan #source { display: none; }
#nolan .scene { zoom:0.3; margin-bottom:15px; position: relative; }
#nolan .frames { display:flex; overflow-x:scroll; position: relative; padding-bottom:5px; background:#000; border:5px solid #000; border-bottom:5px solid #000; border-radius:5px; }
#nolan .frames .frame { box-sizing: border-box; }
#nolan .editor [editor=texto] { cursor:text; }
#nolan .editor { position:relative; background:#333; padding:0 5px; margin:0 5px 0 0; border-radius:2px; }
#nolan .editor.src { display: none; }
#nolan .editor:hover { background:#444; }
#nolan .editor .topo { font-size:12px; color:#fff; padding:0 5px; height:30px; position: relative; display: flex; align-items: center; justify-content: space-between; }
#nolan .editor:last-child { margin-right:0; }
#nolan .editor .backdrop { position: absolute; left:0; top:0; height:100%; width:100%; z-index: 9; background:rgba(0, 0, 0, .5); }
#nolan .ferramenta-barra { align-self: flex-end; height:30px; display: flex; align-items: center; }
#nolan .ferramenta-btn * { line-height: 20px; }
#nolan .ferramenta-btn { margin-left:5px; font-size:12px; line-height: 20px; height:20px; width:20px; display: flex; align-items: center; justify-content: center; box-shadow:none!important; cursor: pointer; border-radius:3px; }
#nolan .ferramenta-btn:hover { background:#555; }
#nolan .ferramenta { position:absolute; top:35px; left:10px; width:calc(100% - 20px); height:auto; z-index: 10; color:#fff; white-space: nowrap; font-size:11px; padding:10px; background:#333; border-radius:5px; }
#nolan .ferramenta label { color:#fff; display: flex; justify-content: space-between; margin-top:0.5rem; }
#nolan .ferramenta label.titulo span { align-self:flex-end; display: inline-block; width:20px; height:20px; padding:2px 4px; border-radius:3px; text-align: center; background:#444; cursor: pointer; }
#nolan .ferramenta label.titulo span:hover { background:#555 }
#nolan .ferramenta .form-group { margin-bottom:10px; }
#nolan .ferramenta label,
#nolan .ferramenta input,
#nolan .ferramenta .dropdown-item,
#nolan .ferramenta .filter-option,
#nolan .ferramenta select { font-size:11px; }
#nolan .ferramenta .editor-texto { background:#fff; }
#nolan .ferramenta .editor-texto .trumbowyg-box { min-height:150px; }
#nolan .ferramenta .editor-texto .trumbowyg-reset-css { height:150px; min-height:150px; padding:10px; }
#nolan .ferramenta-visivel-btn i:first-child { display: block; }
#nolan .ferramenta-visivel-btn i:last-child { display: none; }
#nolan .ferramenta-visivel-btn.invisivel i:first-child { display: none; }
#nolan .ferramenta-visivel-btn.invisivel i:last-child { display: block; }


/* #nolan #ferramenta-texto { height:50%; margin-top:25%; padding-top:40px; } */
#nolan #preview { margin-left:10px; padding:5px; background:#333; border:1px solid #333; border-radius:5px; overflow: hidden; }
#nolan #preview .titulo { font-size:12px; color:#fff; padding:0 5px; height:30px; display: flex; align-items: center; }
#nolan #preview .player { height:590px; background:#333; overflow: hidden; }
#nolan #preview iframe { height:100%; width:100%;; border:none; background:#333;  overflow: hidden; }
#nolan #preview iframe html { zoom:0.3; }


#nolan .ferramenta-imagem.d-none { display: none !important; }
#nolan .ferramenta-imagem { position: absolute; left:0; top:0; display:flex; flex-direction: row; z-index: 8; }
#nolan .ferramenta-imagem .change,
#nolan .ferramenta-imagem .move { border-radius:9px; padding:5px; background:rgba(255,255,255,0.7); }
#nolan .ferramenta-imagem .left,
#nolan .ferramenta-imagem .right,
#nolan .ferramenta-imagem .upload { width:21px; height:21px; font-size:18px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 6px; cursor: pointer; transition: all linear 1s; margin:0 5px; }
#nolan .ferramenta-imagem .upload { position: absolute; left:0; top:0; z-index: 99; }
#nolan .ferramenta-imagem .upload,
#nolan .ferramenta-imagem .upload::-webkit-file-upload-button { opacity:0; cursor:pointer; }
#nolan .ferramenta-imagem .upload-fake { position:relative; z-index: 99; width:21px; height:21px; font-size:18px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 6px; cursor: pointer; }
#nolan .ferramenta-imagem .bg-left,
#nolan .ferramenta-imagem .bg-right,
#nolan .ferramenta-imagem .bg-up,
#nolan .ferramenta-imagem .bg-down,
#nolan .ferramenta-imagem .bg-zoomin,
#nolan .ferramenta-imagem .bg-zoomout,
#nolan .ferramenta-imagem .mais,
#nolan .ferramenta-imagem .menos { width:21px; height:21px; font-size:18px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 6px; cursor: pointer; transition: all linear 1s; }
#nolan .ferramenta-imagem .menos { display: none; }
#nolan .ferramenta-imagem .bg-left { margin-right:6px; }
#nolan .ferramenta-imagem .bg-right { margin-left:6px; }
#nolan .ferramenta-imagem .left .vazio,
#nolan .ferramenta-imagem .right .vazio,
#nolan .ferramenta-imagem .bg-left .vazio,
#nolan .ferramenta-imagem .bg-right .vazio,
#nolan .ferramenta-imagem .bg-up .vazio,
#nolan .ferramenta-imagem .bg-down .vazio,
#nolan .ferramenta-imagem .bg-zoomin .vazio,
#nolan .ferramenta-imagem .bg-zoomout .vazio,
#nolan .ferramenta-imagem .upload-fake .vazio { display: inline-block; }
#nolan .ferramenta-imagem .left .cheio,
#nolan .ferramenta-imagem .right .cheio,
#nolan .ferramenta-imagem .bg-left .cheio,
#nolan .ferramenta-imagem .bg-right .cheio,
#nolan .ferramenta-imagem .bg-up .cheio,
#nolan .ferramenta-imagem .bg-down .cheio,
#nolan .ferramenta-imagem .bg-zoomin .cheio,
#nolan .ferramenta-imagem .bg-zoomout .cheio,
#nolan .ferramenta-imagem .upload-fake .cheio { display: none; }
#nolan .ferramenta-imagem .left i,
#nolan .ferramenta-imagem .right i,
#nolan .ferramenta-imagem .bg-left i,
#nolan .ferramenta-imagem .bg-right i,
#nolan .ferramenta-imagem .bg-up i,
#nolan .ferramenta-imagem .bg-down i,
#nolan .ferramenta-imagem .bg-zoomin i,
#nolan .ferramenta-imagem .bg-zoomout i,
#nolan .ferramenta-imagem .mais i,
#nolan .ferramenta-imagem .menos i,
#nolan .ferramenta-imagem .upload-fake i { color:#fff; }
#nolan .ferramenta-imagem .left:hover .vazio,
#nolan .ferramenta-imagem .right:hover .vazio,
#nolan .ferramenta-imagem .bg-left:hover .vazio,
#nolan .ferramenta-imagem .bg-right:hover .vazio,
#nolan .ferramenta-imagem .bg-up:hover .vazio,
#nolan .ferramenta-imagem .bg-down:hover .vazio,
#nolan .ferramenta-imagem .bg-zoomin:hover .vazio,
#nolan .ferramenta-imagem .bg-zoomout:hover .vazio,
#nolan .ferramenta-imagem .upload-fake:hover .vazio { display: none; }
#nolan .ferramenta-imagem .left:hover .cheio,
#nolan .ferramenta-imagem .right:hover .cheio,
#nolan .ferramenta-imagem .bg-left:hover .cheio,
#nolan .ferramenta-imagem .bg-right:hover .cheio,
#nolan .ferramenta-imagem .bg-up:hover .cheio,
#nolan .ferramenta-imagem .bg-down:hover .cheio,
#nolan .ferramenta-imagem .bg-zoomin:hover .cheio,
#nolan .ferramenta-imagem .bg-zoomout:hover .cheio,
#nolan .ferramenta-imagem .upload-fake:hover .cheio { display: inline-block; }
#nolan .ferramenta-imagem .move { display:none; }
#nolan .ferramenta-imagem .move.on { display:flex; }



#ferramenta-video .upload { width:35px; height:35px; font-size:30px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 10px; cursor: pointer; transition: all linear 1s; margin:0 5px; }
#ferramenta-video .upload { position: absolute; left:0; top:0; z-index: 99; }
#ferramenta-video .upload,
#ferramenta-video .upload::-webkit-file-upload-button { opacity:0; cursor:pointer; }
#ferramenta-video .upload-fake { position:relative; z-index: 99; width:35px; height:35px; font-size:30px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 10px; cursor: pointer; }
#ferramenta-video .upload-fake .vazio { display: inline-block; }
#ferramenta-video .upload-fake .cheio { display: none; }
#ferramenta-video .upload-fake i { color:#fff; }
#ferramenta-video .upload-fake:hover .vazio { display: none; }
#ferramenta-video .upload-fake:hover .cheio { display: inline-block; }


#ferramenta-video .video-preview { width:100%; min-height:200px; }
#ferramenta-video .video-preview img { width:100%; }
#ferramenta-video .change,
#ferramenta-video .left,
#ferramenta-video .right,
#ferramenta-video .upload { width:45px; height:45px; font-size:30px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 10px; cursor: pointer; transition: all linear 1s; margin:0 5px; }
#ferramenta-video .upload { position: absolute; left:0; top:0; z-index: 99; }
#ferramenta-video .upload,
#ferramenta-video .upload::-webkit-file-upload-button { opacity:0; cursor:pointer; }
#ferramenta-video .upload-fake { position:relative; z-index: 99; width:35px; height:35px; font-size:30px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 10px; cursor: pointer; }
#ferramenta-video .bg-left,
#ferramenta-video .bg-right,
#ferramenta-video .bg-up,
#ferramenta-video .bg-down,
#ferramenta-video .bg-zoomin,
#ferramenta-video .bg-zoomout,
#ferramenta-video .mais,
#ferramenta-video .menos { width:35px; height:35px; font-size:30px; display: flex; align-items: center; justify-content: center; text-shadow: #000 1px 0 10px; cursor: pointer; transition: all linear 1s; }
#ferramenta-video .menos { display: none; }
#ferramenta-video .bg-left { margin-right:10px; }
#ferramenta-video .bg-right { margin-left:10px; }
#ferramenta-video .left .vazio,
#ferramenta-video .right .vazio,
#ferramenta-video .bg-left .vazio,
#ferramenta-video .bg-right .vazio,
#ferramenta-video .bg-up .vazio,
#ferramenta-video .bg-down .vazio,
#ferramenta-video .bg-zoomin .vazio,
#ferramenta-video .bg-zoomout .vazio,
#ferramenta-video .upload-fake .vazio { display: inline-block; }
#ferramenta-video .left .cheio,
#ferramenta-video .right .cheio,
#ferramenta-video .bg-left .cheio,
#ferramenta-video .bg-right .cheio,
#ferramenta-video .bg-up .cheio,
#ferramenta-video .bg-down .cheio,
#ferramenta-video .bg-zoomin .cheio,
#ferramenta-video .bg-zoomout .cheio,
#ferramenta-video .upload-fake .cheio { display: none; }
#ferramenta-video .left i,
#ferramenta-video .right i,
#ferramenta-video .bg-left i,
#ferramenta-video .bg-right i,
#ferramenta-video .bg-up i,
#ferramenta-video .bg-down i,
#ferramenta-video .bg-zoomin i,
#ferramenta-video .bg-zoomout i,
#ferramenta-video .mais i,
#ferramenta-video .menos i,
#ferramenta-video .upload-fake i { color:#fff; }
#ferramenta-video .left:hover .vazio,
#ferramenta-video .right:hover .vazio,
#ferramenta-video .bg-left:hover .vazio,
#ferramenta-video .bg-right:hover .vazio,
#ferramenta-video .bg-up:hover .vazio,
#ferramenta-video .bg-down:hover .vazio,
#ferramenta-video .bg-zoomin:hover .vazio,
#ferramenta-video .bg-zoomout:hover .vazio,
#ferramenta-video .upload-fake:hover .vazio { display: none; }
#ferramenta-video .left:hover .cheio,
#ferramenta-video .right:hover .cheio,
#ferramenta-video .bg-left:hover .cheio,
#ferramenta-video .bg-right:hover .cheio,
#ferramenta-video .bg-up:hover .cheio,
#ferramenta-video .bg-down:hover .cheio,
#ferramenta-video .bg-zoomin:hover .cheio,
#ferramenta-video .bg-zoomout:hover .cheio,
#ferramenta-video .upload-fake:hover .cheio { display: inline-block; }


/*
#nolan .ferramenta .loading { width:100%; height:100%; z-index: 10; background:rgba(0, 0, 0, .5); }
#nolan .loader {position: absolute;left: 50%;margin-left: -26.5px;margin-top: -26.5px}
#nolan .loader.square {background: #fff;width: 15px;height: 15px;float: left;top: -10px;margin-right: 5px;margin-top: 5px;position: relative;opacity: 0;animation: 6.9s infinite enter;-o-animation: 6.9s infinite enter;-ms-animation: enter 6.9s infinite;-webkit-animation: 6.9s infinite enter;-moz-animation: 6.9s infinite enter}
#nolan .loader.enter {top: 0;opacity: 1}
#nolan .loader.square:nth-child(1) { animation-delay: 2.07s; }
#nolan .loader.square:nth-child(2) { animation-delay: 2.42s; }
#nolan .loader.square:nth-child(3) { animation-delay: 2.76s;background: #ff0 }
#nolan .loader.square:nth-child(4) { animation-delay: 1.04s }
#nolan .loader.square:nth-child(5) { animation-delay: 1.38s }
#nolan .loader.square:nth-child(6) { animation-delay: 1.73s }
#nolan .loader.square:nth-child(8) { animation-delay: 0.35s }
#nolan .loader.square:nth-child(9) { animation-delay: 0.69s }
#nolan .loader.clear { clear: both }
#nolan .loader.last { margin-right: 0 }
@keyframes enter { 0% { opacity: 0; top: -10px } 5%,50.9% { opacity: 1;top: 0 } 55.9% { opacity: 0;top: 10px } }
*/